package com.caimei.mapper.products;

import com.caimei.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DetailsMapper {
    CmMallOrganizeProducts findProduct(Integer id);

    CmMallProduct product(Integer productID);

    List<CmMallProductImage> findAllProductImage(Integer productID);

    CmMallProductDetailInfo findProductDetail(Integer productID);

    CmMallShop findShop(Integer shopID);

    void saveCart(CmMallCart cmMallCart);

    CmMallCart findCartProduct(CmMallCart cmMallCart);

    void updateCart(CmMallCart cart);

    List<CmMallProductLadderPrice> findLadderPrice(Integer id);
}
