package com.caimei.mapper.products;

import com.caimei.entity.CmMallCart;
import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallShop;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ShoppingMapper {

    List<CmMallShop> findAllShop(Integer userID);

    List<CmMallOrganizeProducts> findAllProducts(@Param("shopID") Integer shopID, @Param("userID") Integer userID);

    void updateNumber(CmMallCart cmMallCart);

    void deleteCart(@Param("userID") Integer userID, @Param("productID") Integer productID);
}
