package com.caimei.mapper.search;

import com.caimei.entity.CmMallOrder;
import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallProductLadderPrice;
import com.caimei.entity.CmMallProductSearchHistory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SearchMapper {
    List<CmMallOrganizeProducts> searchProduct(@Param("organizeID") Integer organizeID, @Param("searchWord") String searchWord);

    void deleteProductRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    void saveProductRecord(CmMallProductSearchHistory productSearchHistory);

    CmMallProductLadderPrice findLadderPrice(Integer id);

    List<CmMallProductSearchHistory> findProductRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    void deleteRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    CmMallProductSearchHistory findAllProductRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID, @Param("searchWord") String searchWord);

    void updateProductRecord(CmMallProductSearchHistory productSearchHistory);

    CmMallProductSearchHistory findAllOrderRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID, @Param("searchWord") String searchWord);

    void saveOrderRecord(CmMallProductSearchHistory orderSearchHistory);

    void deleteOrderRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    void updateOrderRecord(CmMallProductSearchHistory orderSearchHistory);

    List<CmMallOrder> searchOrder(@Param("organizeID") Integer organizeID, @Param("searchWord") String searchWord, @Param("userID") Integer userID);

    List<CmMallProductSearchHistory> findOrderRecord(@Param("organizeID") Integer organizeID, @Param("openID") String openID);

    void deleteSearchHistory(@Param("organizeID") Integer organizeID, @Param("openID") String openID);
}