package com.caimei.mapper.user;

import com.caimei.entity.CmMallAddress;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmMallAddressMapper {

    List<CmMallAddress> findByUserId(Integer userID);

    List<CmMallAddress> findByUserIdByAddress(Integer userID);

    CmMallAddress findByAddressID(@Param("addressID") Integer addressID);

    int updateIsDefault(@Param("addressID") Integer addressID);

    int updateNoDefault(@Param("userID") Integer userID);

    int delete(@Param("addressID") Integer addressID);

    int update(CmMallAddress cmMallAddress);

    int insert(CmMallAddress cmMallAddress);

    int updateUser(@Param("newUserID") Integer newUserID, @Param("oldUserId") Integer oldUserId);
}
